curl -X POST "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "us",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com"
}'
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-08T09:00:00Z"
}
Benutzerdefinierte Domains
SSL-Zertifikatsanfrage erstellen
POST /custom-domain//certificate-request/
POST
/
custom-domain
/
{pk}
/
certificate-request
/
curl -X POST "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "us",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com"
}'
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-08T09:00:00Z"
}
Erzeugt eine neue SSL-Zertifikatsignieranfrage (CSR) für eine Domain, auf dem Management-API-Host (
Ein privater Schlüssel und die CSR werden serverseitig erzeugt — der private Schlüssel wird von keinem Endpunkt jemals zurückgegeben oder als Eingabe akzeptiert, es kommt nur der CSR-Text zurück. Reichen Sie die zurückgegebene
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
POST https://api.scanova.io/custom-domain/{pk}/certificate-request/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
Nur für Enterprise. Erfordert die Quota
CUSTOM_DOMAIN_CUSTOM_SSL, die manuell vergeben wird — kein Self-Service-Plan enthält sie.integer
erforderlich
Die
id der Domain.string
erforderlich
Organisationsname für den Zertifikatsinhaber.
string
erforderlich
Organisationseinheit für den Zertifikatsinhaber.
string
erforderlich
Zweistelliger ISO-Ländercode — wird automatisch großgeschrieben; wird abgelehnt, wenn er nicht aus genau 2 alphabetischen Zeichen besteht.
string
erforderlich
Bundesland oder Provinz.
string
erforderlich
Stadt oder Ort.
string
erforderlich
Kontakt-E-Mail für den Zertifikatsinhaber.
curl -X POST "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "us",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com"
}'
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-08T09:00:00Z"
}
csr bei Ihrer Zertifizierungsstelle ein und holen Sie das ausgestellte Zertifikat anschließend über SSL-Zertifikat hochladen zurück.
400, wenn country nicht aus genau 2 alphabetischen Zeichen besteht. 403, wenn dem Konto die Quota CUSTOM_DOMAIN_CUSTOM_SSL fehlt.
Verwandte Themen
- Letzte SSL-Zertifikatsanfrage abrufen — einen laufenden Ablauf fortsetzen.
- SSL-Zertifikat hochladen — der nächste Schritt, sobald Ihre Zertifizierungsstelle das Zertifikat ausstellt.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
CSR created.
War diese Seite hilfreich?